###

#

nth_channel_view_type< View > Struct Template Reference
Image View » Algorithms and Utility Functions » Image View Transformations » nth_channel_view

Given a source image view type View, returns the type of an image view over a single channel of ViewIf the channels in the source view are adjacent in memory (such as planar non-step view or single-channel view) then the return view is a single-channel non-step view. If the channels are non-adjacent (interleaved and/or step view) then the return view is a single-channel step view. More...

`#include <image_view_factory.hpp>`

## Public Types

using | type = typename VB::type

## Static Public Member Functions

static type | make (const View &src, int n)

## Detailed Description

### template<typename View>
struct boost::gil::nth_channel_view_type< View >

Given a source image view type View, returns the type of an image view over a single channel of View

If the channels in the source view are adjacent in memory (such as planar non-step view or single-channel view) then the return view is a single-channel non-step view. If the channels are non-adjacent (interleaved and/or step view) then the return view is a single-channel step view.

The documentation for this struct was generated from the following file:

- image_view_factory.hpp